<?php

include ("../conexion.php");
    
require_once '../dompdf/autoload.inc.php';


require_once '../dompdf/lib/html5lib/Parser.php';
require_once '../dompdf/lib/php-font-lib/src/FontLib/Autoloader.php';
require_once '../dompdf/lib/php-svg-lib/src/autoload.php';
require_once '../dompdf/src/Autoloader.php';
Dompdf\Autoloader::register();

use Dompdf\Dompdf;

$codigoHTML='

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">





<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Lista</title>

</head>

   <script type="text/php">


        if ( isset($pdf) ) {

          $font = Font_Metrics::get_font("helvetica", "bold");
          $pdf->page_text(72, 18, "Header: {PAGE_NUM} of {PAGE_COUNT}", $font, 6, array(0,0,0));

        }
        
</script>
<body>
<div align="center">
  <p>&nbsp;</p>';
  
  
       $parametros = "SELECT * FROM web_0000 ";
       $result_parametros = $mysqli->query($parametros);
       $row_para = $result_parametros->fetch_array();
     
	   $NombreComercial =  $row_para["NOMCOM"];
	   $razsoc          =  $row_para["RAZSOC"];
	   $Direccion       =  $row_para["DIREMP"];
	   $Cedula          =  $row_para["CEDJUR"];
	   $Telefono        =  $row_para["NUMTEL"];
 

 
$codigoHTML='
    <table width="100%"  cellpadding="0" cellspacing="0"  border="0">
      <tr>
        <td width="13%" rowspan="5"><img src="../img/logo.jpg" /></td>
        <td width="87%"><font color="blue" size=4><strong>'.$NombreComercial.'</strong></font></td>
      </tr>
      <tr>
        <td height="12"><font size=2 >Cedula '.$Cedula.'</font></td>
      </tr>
      <tr>
        <td height="12"><font size=2 >'.$Direccion.'</font></td>
      </tr>
      <tr>
        <td height="11"><font size=2 >Numero de Telefono '.$Telefono.'</font></td>
      </tr>
      <tr>
        <td height="22">&nbsp;</td>
      </tr>
    </table>
    ';
   
	 $fecini=$_GET["fechainicio"];
	 $fecfin=$_GET["fechafin"];
	 $cdgpro=$_GET["cdgpro"];

	  $dscpro=$_GET["dscpro"];
	 $estadoNota=$_GET["estadoNota"];
	 
	 $fechainicio= implode("-", array_reverse(explode("-", $fecini))); 
 	$fechafin= implode("-", array_reverse(explode("-", $fecfin))); 
	
	$where="1=1";
	
//$where.=" AND estapli= 0"; 
if ($cdgpro <> "") { $where.=" AND  cdgpro='$cdgpro'"; }
if ($dscpro <> "") { $where.=" AND dscpro like '%".$dscpro."%'"; }

if ($estadoNota <> "") { $where.=" AND estapli='$estadoNota'"; }

if (($fechainicio<>"") and ($fechafin<>"")) {
	$where.=" AND fecha between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
		$where.=" and fecha>='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
			$where.=" and fecha<='".$fechafin."'";
		}
	}
}

	 
 $fechainicio= implode("-", array_reverse(explode("-", $fecini))); 
 $fechafin= implode("-", array_reverse(explode("-", $fecfin))); 
 
 
 if ($estadoNota=="") { $estadoNota="TODOS LAS NOTAS"; } 
 elseif ($estadoNota==1) { $estadoNota="PENDIENTES"; } 
  elseif ($estadoNota==0) { $estadoNota="APLICADAS"; } 	
  
 



		
						
	 
	 $codigoHTML.='
  <table width="100%" height="16%" border="1" cellpadding="0" cellspacing="0" >
      <tr>
        <td width="100%" height="21" colspan="3" align="center"><font size=3 ><strong>Reporte Notas a Proveedores </strong></font></td>
      </tr>
      <tr>
        <td height="14" colspan="3" align="center">Fecha del <font size="2" >'.$fecini.'</font> al <font size="2" >'.$fecfin.' Estado <font size="2" >'.$estadoNota.'   </font></td>
      </tr>
    </table>
  ';
	
	
	 $codigoHTML.='
<table width="100%" role="rows" cellpadding="0" cellspacing="0" border="1">
    <tr>
    
        <td width="13%"  align="center"bgcolor="#CCCCCC" ><font size=1 ><strong>Nota</strong></font></td>
        <td width="19%" align="center" bgcolor="#CCCCCC" ><font size=1 ><strong>Fecha</strong></font></td>
        <td width="75%" align="center" bgcolor="#CCCCCC"><font size=1 ><strong>Proveedor</strong></font></td>
        <td width="20%" align="right" bgcolor="#CCCCCC"><font size=1 ><strong>Subtotal </strong></font></td>
        <td width="20%" align="right" bgcolor="#CCCCCC"><font size=1 ><strong>Descuento </strong></font></td>
        <td width="20%" align="right" bgcolor="#CCCCCC"><font size=1 ><strong>Imp.Ventas </strong></font></td>
        <td width="20%" align="right" bgcolor="#CCCCCC"><font size=1 ><strong>Total </strong></font></td>
 
      </tr>
	   </table>';
          

				
	
	$consulta= "SELECT * FROM notas_proveedores WHERE  ".$where. "  ORDER BY dscpro,fecha ASC " ;
			$count  = 0;	
		if ($resultado = $mysqli->query($consulta)) 

  		while ($dato = $resultado->fetch_assoc()) {
	
				$codnota     = $dato["codnota"];
				$fecha       = $dato["fecha"];
 				$fecha       = implode("-", array_reverse(explode("-", $fecha))); 		
				$cdgpro      = $dato["cdgpro"];
				$cdgpro      = sprintf("%04d",$cdgpro); 
				$dscpro      = $dato["dscpro"];
			 	$dscpro      = substr($dscpro, 0, 40);
				$totalnota   = number_format($dato["totalnota"], 2);
				$subexe      = number_format($dato["subexe"], 2);
				$subgra      = number_format($dato["subgra"], 2);
				$subtot      = number_format($dato["subtot"], 2);
				$impven      = number_format($dato["impven"], 2);
				$destot      = number_format($dato["destot"], 2);				
	
			
		    if($count == 0   )		
                $codigoHTML.='<table width="100%"  rules="none" border="0">';
				
     $codigoHTML.='
    
    
      <tr>
        <td width="15%">  <font size=1 >'.$dato['codnota'].'</font></td>
        <td width="20%">  <font size=1 >'.$fecha.'</font></td>
   	    <td width="10%">  <font size=1 align="right">'.$dato['cdgpro'].'</font></td>
   	    <td width="65%">  <font size=1 align="left">'.$dscpro.'</font></td>
        <td width="20%" align="right">  <font size=1 >'.$subtot.'</font></td>
		<td width="20%" align="right">  <font size=1 >'.$destot.'</font></td>
        <td width="20%" align="right">  <font size=1 >'.$impven.'</font></td>
		<td width="20%" align="right">  <font size=1 >'.$totalnota.'</font></td>
      </tr>';
  
 $count++;
       }
   
        if($count > 1) 
            $codigoHTML.='</table>';
			
											 
$consulta= ("SELECT SUM(totalnota) AS total , SUM(subtot) AS subtotal, SUM(destot) AS descuento , SUM(impven) AS impuesto FROM notas_proveedores WHERE  ".$where );
		if ($resultado = $mysqli->query($consulta)) 

  		while ($dato = $resultado->fetch_assoc()) {


				$subtotal      = $dato["subtotal"];
				$descuento     = $dato["descuento"];
				$impuesto      = $dato["impuesto"];
				$total         = $dato["total"];
			
$codigoHTML.='
   <table width="100%" height="15" role="rows" cellpadding="0" cellspacing="0" border="1">
     <tr>
       <td height="15"><table width="100%" border="0" cellpadding="0" cellspacing="0">
         <tr>
            <td width="110%" height="12" align="left"><font size=2 > TOTALES FINALES</font></td>
              <td width="20%" align="right"><font size=1 >'.$subtotal.'</font></td>
			  <td width="20%" align="right"><font size=1 >'.$descuento.'</font></td>
               <td width="20%" align="right"><font size=1 >'.$impuesto.'</font></td>
			  
			  
              <td width="20%" align="right"><font size=1 >'.$total.'</font></td>
         </tr>
       </table></td>
     </tr>
   </table>
   <p>';
   
     } 
$codigoHTML.='

   </p>

</div>
</body>
</html>';

$codigoHTML=utf8_decode($codigoHTML);
$dompdf=new DOMPDF();
$dompdf->set_paper( "A4", "portrait" ); // a4,vertical
$dompdf->load_html($codigoHTML);
ini_set("memory_limit","256M");
$dompdf->render();
$dompdf->stream("Reporte de Notas Proveedores.pdf", array("Attachment" => false));



?>
